Bug 133070 - signal queuing DoS
Summary: signal queuing DoS
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Jim Paradis
QA Contact: Brian Brock
URL:
Whiteboard: impact=important,public=20040412
Keywords: Security
Depends On:
Blocks: 132992
TreeView+ depends on / blocked
 
Reported: 2004-09-21 14:39 UTC by Josh Bressers
Modified: 2013-08-06 01:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-03 11:40:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2004-09-21 14:39:39 UTC
It is possible for a user to exhaust the system process table by
causing a large number of threads/processes to be left in a zombie state.

More information is available here:
http://www.securityfocus.com/bid/10096/discussion/
http://www.securityfocus.com/archive/1/360123

this issue was fixed in upstream here:
http://linux.bkbits.net:8080/linux-2.6/cset@40d302b8vu5PRC3hBFweTrD2FKaAkw

Comment 1 Jim Paradis 2005-02-09 02:09:58 UTC
See Bug 133069.  The fix referenced above does not address the issue under
discussion here.  The fix referenced in 133069 cannot be directly ported to RHEL
due to kabi, but there's a proposal to implement something similar that will work.


Comment 3 Mark J. Cox 2005-06-03 11:40:14 UTC
closed as per bug 133069


Note You need to log in before you can comment on or make changes to this bug.